Abiword and Gnumeric

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
JTD
White ninja
White ninja
Posts: 18
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Abiword and Gnumeric

Post#1 by JTD » 29 Oct 2019, 09:48

Good day everyone! I was trying to get Abiword and Gnumeric as modules for my Porteus, but it hasn't gone as smooth as I thought.

Firstly I tried with USM, but it kept asking for dependencies and eventually fetched more stuff than it needed, making Abiword insanely huge:

Image

Secondly I tried going through the forums and see if someone have made them modules already (since they're common software):

Common Office Modules

The problem is that the post is from 2011 and the links were hosted on a domain that's long gone now (and outdated versions).

Then I saw some very recent community builds posted by neko here: ArchLinux packages manager for Porteus and these include a module called "04-office.xzm" which includes both Abiword/Gnumeric and is small in size:

Image

This would be the ideal module, but it doesn't seem to work on neither Porteus 4.0 nor the Release Candidate for 5.0 (I'm assuming some dependencies they need to run were added somewhere else, probably the core.xzm that custom Porteus build is using).

So now I come to you in time of need, would anyone be so kind to create an Abiword and Gnumeric module with the least amount of dependencies they need in order to work? I'm running Porteus on a 1GB drive so every bit of space I can save is helpful, thank you in advance!

User avatar
Ed_P
Contributor
Contributor
Posts: 5099
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Abiword and Gnumeric

Post#2 by Ed_P » 29 Oct 2019, 14:00

See if the libreoffice module here works for you: http://ponce.cc/porteus/x86_64/current/modules/
Ed

JTD
White ninja
White ninja
Posts: 18
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Abiword and Gnumeric

Post#3 by JTD » 29 Oct 2019, 15:47

Thank you for your reply Ed_P!

I tried 06-libreoffice.xzm from the link you provided and it runs, but I'm specifically looking for Abiword and Gnumeric since they weight 10 times less than libreoffice and I'd like to save space in order to add other Modules to the 1GB drive. It is also an ancient version because the files are dated from 2014.

I also tried 06-abiword.xzm from that link since it's one of the software I'm looking for, but it didn't seem to like my XFCE, it crashed the panel as soon as the OS booted and wouldn't let me open the terminal from the right-click menu.

beny
Full of knowledge
Full of knowledge
Posts: 785
Joined: 02 Jan 2011, 11:33
Location: italy

Abiword and Gnumeric

Post#4 by beny » 30 Oct 2019, 13:22

http://www.mediafire.com/folder/amdpfp2zmfw4e/abiword hi this is a link to your files, the environment is a slackware 64 14.2 gcc 5.5 try if work for you.

JTD
White ninja
White ninja
Posts: 18
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Abiword and Gnumeric

Post#5 by JTD » 30 Oct 2019, 15:49

beny, I extracted both abiword/gnumeric and converted them to modules, they appear on the menu:

Image

However, Abiword has a ton of missing dependencies:

Image

And Gnumeric doesn't open:

Image

Tried them with both 4.0 and 5.0rc1

beny
Full of knowledge
Full of knowledge
Posts: 785
Joined: 02 Jan 2011, 11:33
Location: italy

Abiword and Gnumeric

Post#6 by beny » 30 Oct 2019, 17:16

hi please extract all the files inside the mediafire folder,you have missed goffice and wv but maybe you need other deps but all into the slackware tree

JTD
White ninja
White ninja
Posts: 18
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Abiword and Gnumeric

Post#7 by JTD » 30 Oct 2019, 18:43

beny, I extracted goffice and wv but it kept giving me the same errors as my previous post (a huge amount of dependencies for Abiword, and Gnumeric not found).

After that I tried to merge all 4 into a single module to see if that was causing the issue, but it was still the same.

Something new I tried by myself was to change Gnumeric command to gnumeric-1.12.34, because "gnumeric %U" kept giving that error on my previous post, and at least this time I could see which dependencies were missing from it:

Image

Something weird to notice is that it's asking for the same files twice.

It says "libgoffice-0.10.so.10" and that one is included in the goffice you provided:

Image

However, the other one is not:

Image

So even though there is a missing dependency from the files, the other one is not being recognized despite being there on the module, could it be that I made a mistake while creating the module (despite loading successfully upon booting)? Because I converted everything in the folder to a module, that includes the "install" folder that was in them. I will try again without it (I assume it's mostly for Slackware purposes and not needed) but could you also try to create the module yourself? That way we reduce as much errors as possible (although even if it works I believe it will still be asking for libgsf-1.so.114...)

JTD
White ninja
White ninja
Posts: 18
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Abiword and Gnumeric

Post#8 by JTD » 30 Oct 2019, 19:08

I tried without the "install" folder but that also lead to nowhere...

However, I noticed that Porteus can txz2xzm the .tgz file type, so I just did that with all 4 files. Abiword still kept asking for a ton of dependencies, but Gnumeric doesn't throw the "Failed to execute command" anymore and now shows something different when you go with just "gnumeric" (without the version number):

Image

Same libgsf-1.so.114 as before, but this time its asking for it 3 times, and now a new one called libspectre.so.1

donald
Full of knowledge
Full of knowledge
Posts: 1539
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Abiword and Gnumeric

Post#9 by donald » 30 Oct 2019, 23:46

A stand alone module (gnumeric-1.12.34) running on Porteus 4-x86_64-xfce.
[ bundled ~ 30MB ]

ghostscript-9.19-x86_64-2
gnumeric-1.12.34-x86_64-1_slonly
goffice-0.10.34-x86_64-1_slonly
libgsf-1.14.36-x86_64-1
libspectre-0.2.7-x86_64-1


all available via USM.

neko
DEV Team
DEV Team
Posts: 1540
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Abiword and Gnumeric

Post#10 by neko » 08 Nov 2019, 12:27

@JTD
As a prototype, this is a simple conversion of APorteus 004-office.xzm for running on Porteus-v5.0rc.
There is no guarantee that the running details are correct.


office-Porteus-rc5.xzm (15 M)
http://www.mediafire.com/file/xww5leevm ... us-rc5.xzm
md4sum: 763e3bd95cc83ed17fb350071b7f3b92 office-Porteus-rc5.xzm


Thanks.

Kulle
Samurai
Samurai
Posts: 185
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Abiword and Gnumeric

Post#11 by Kulle » 08 Nov 2019, 13:41

Hi neko,
under porteus 4.0 Xfce the program office-Porteus-rc5.xzm does not run.
Missing library program can not be installed .

Code: Select all

guest@porteus:~$ abiword 
abiword: error while loading shared libraries: libicuuc.so.64: cannot open shared object file: No such file or directory
...
libicuuc.so.64, it seems a library.
Would you like to find the package for it? [y/n]
 no package found for: libicuuc.so.64 

beny
Full of knowledge
Full of knowledge
Posts: 785
Joined: 02 Jan 2011, 11:33
Location: italy

Abiword and Gnumeric

Post#12 by beny » 08 Nov 2019, 20:13

slackware64/l/icu4c-64.1-x86_64-1.txz

neko
DEV Team
DEV Team
Posts: 1540
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Abiword and Gnumeric

Post#13 by neko » 09 Nov 2019, 07:21

@JTD, @Kulle
As a prototype, this is a simple conversion of APorteus 004-office.xzm for running on Porteus-v4.0 64bit XFCE.
There is no guarantee that the running details are correct.


office-v4.0.xzm (27 M)
http://www.mediafire.com/file/q61aef135 ... e-v4.0.xzm
md5sum: 07026af7b0c01982f9a4cfc67a789162 office-v4.0.xzm


Thanks.

Kulle
Samurai
Samurai
Posts: 185
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

Abiword and Gnumeric

Post#14 by Kulle » 09 Nov 2019, 10:42

Hi neko,
Thanks, office-v4.0.xzm works.
But there is a error message:
(abiword:2055): Gtk-CRITICAL **: 10:28:17.352: gtk_render_background: assertion 'GTK_IS_STYLE_CONTEXT (context)' failed
To ignore?

JTD
White ninja
White ninja
Posts: 18
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Abiword and Gnumeric

Post#15 by JTD » 13 Nov 2019, 08:35

neko, I tried your module and while Abiword and Gnumeric open, the first one displays docx files incorrectly (weird characters) and Gnumeric says .xlsx files are not compatible with it (when they normally are).

Post Reply